---
updatedAt: 2026-06-12T23:00:16.000Z
---

Fetch the complete documentation index at: https://developers.7shifts.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Retrieve Labor Settings

**[Minimum Plan Required](/docs/plan-requirements):** Comp

#### Sample Response

```json
{
    "data": {
        "company_id": 1234,
        "consecutive_days_threshold": 7,
        "consecutive_days_multiplier": 1.5,
        "regular_rate_of_pay_enabled": true,
        "exception_cost_enabled": true,
        "overtime_by_location_enabled": false,
        "auto_break_enabled": false,
        "auto_break_hours": 8,
        "auto_break_minutes": 30,
        "auto_break_hours_2": 0,
        "auto_break_minutes_2": 0,
        "overtime_enabled": true,
        "daily_overtime_threshold": 8,
        "daily_overtime_multiplier": 1.5,
        "premium_overtime_threshold": 12,
        "premium_overtime_multiplier": 2,
        "weekly_overtime_threshold": 40,
        "weekly_overtime_multiplier": 1.5,
        "ot_alerts_enabled": true,
        "ot_alerts_buffer_minutes": 30,
        "split_hours_on_holidays": true,
        "wage_based_roles_enabled": true,
        "jurisdiction": "california",
        "is_custom": false,
        "use_jurisdiction_minimum_wage_for_ot": false
    },
    "object": "labor_settings"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "7shifts API",
    "contact": {
      "email": "api-support@7shifts.com"
    },
    "version": "2026-06-01"
  },
  "servers": [
    {
      "url": "https://api.7shifts.com",
      "description": "Production server"
    }
  ],
  "paths": {
    "/v2/company/{company_id}/labor_settings": {
      "get": {
        "tags": [
          "Companies"
        ],
        "summary": "Retrieve Labor Settings",
        "operationId": "retrieveCompanyLaborSettings",
        "x-public-api": true,
        "parameters": [
          {
            "name": "x-api-version",
            "in": "header",
            "description": "7shifts API version",
            "required": false,
            "schema": {
              "type": "string",
              "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
              "description": "An API version",
              "example": "2022-05-01"
            }
          },
          {
            "name": "x-company-guid",
            "in": "header",
            "description": "Company GUID",
            "required": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "1310bfe1-cb3f-4f24-98a2-fde2bc504108"
          },
          {
            "name": "company_id",
            "in": "path",
            "description": "Company ID",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "example": 1234
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "enum": [
                        "labor_settings"
                      ]
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "company_id": {
                          "type": "integer",
                          "nullable": false,
                          "description": "The company_id"
                        },
                        "consecutive_days_threshold": {
                          "type": "integer",
                          "description": "Number of consecutive days threshold an employee works before overtime",
                          "nullable": true
                        },
                        "consecutive_days_multiplier": {
                          "type": "number",
                          "description": "The overtime pay multiplier",
                          "nullable": true
                        },
                        "regular_rate_of_pay_enabled": {
                          "type": "boolean",
                          "description": "When true, the regular rate of pay considers the number of hours worked at different pay rates while calculating overtime",
                          "nullable": false
                        },
                        "exception_cost_enabled": {
                          "type": "boolean",
                          "description": "When true, exception costs are displayed in reports",
                          "nullable": false
                        },
                        "overtime_by_location_enabled": {
                          "type": "boolean",
                          "nullable": false,
                          "description": "The overtime_by_location_enabled"
                        },
                        "auto_break_enabled": {
                          "type": "boolean",
                          "description": "When true, use break conditions to alter labor costs and hour",
                          "nullable": false
                        },
                        "auto_break_hours": {
                          "type": "number",
                          "nullable": false,
                          "description": "The auto_break_hours"
                        },
                        "auto_break_minutes": {
                          "type": "integer",
                          "nullable": false,
                          "description": "The auto_break_minutes"
                        },
                        "auto_break_hours_2": {
                          "type": "number",
                          "nullable": false,
                          "description": "The auto_break_hours_2"
                        },
                        "auto_break_minutes_2": {
                          "type": "integer",
                          "nullable": false,
                          "description": "The auto_break_minutes_2"
                        },
                        "overtime_enabled": {
                          "type": "boolean",
                          "nullable": false,
                          "description": "The overtime_enabled"
                        },
                        "daily_overtime_threshold": {
                          "type": "integer",
                          "nullable": false,
                          "description": "The daily_overtime_threshold"
                        },
                        "daily_overtime_multiplier": {
                          "type": "number",
                          "nullable": false,
                          "description": "The daily_overtime_multiplier"
                        },
                        "premium_overtime_threshold": {
                          "type": "integer",
                          "nullable": true,
                          "description": "The premium_overtime_threshold"
                        },
                        "premium_overtime_multiplier": {
                          "type": "number",
                          "nullable": true,
                          "description": "The premium_overtime_multiplier"
                        },
                        "weekly_overtime_threshold": {
                          "type": "integer",
                          "nullable": false,
                          "description": "The weekly_overtime_threshold"
                        },
                        "weekly_overtime_multiplier": {
                          "type": "number",
                          "nullable": false,
                          "description": "The weekly_overtime_multiplier"
                        },
                        "ot_alerts_enabled": {
                          "type": "boolean",
                          "nullable": false,
                          "description": "The ot_alerts_enabled"
                        },
                        "ot_alerts_buffer_minutes": {
                          "type": "integer",
                          "nullable": true,
                          "description": "The ot_alerts_buffer_minutes"
                        },
                        "split_hours_on_holidays": {
                          "type": "boolean",
                          "nullable": false,
                          "description": "The split_hours_on_holidays"
                        },
                        "wage_based_roles_enabled": {
                          "type": "boolean",
                          "description": "When true, allows employees to have a separate wage for",
                          "nullable": false
                        },
                        "tipped_minimum_wage_enabled": {
                          "type": "boolean",
                          "description": "When true, calculates the tip credit owed to employees when their wage for tipped roles is below the jurisdiction minimum wage",
                          "nullable": false
                        },
                        "jurisdiction": {
                          "type": "string",
                          "nullable": true,
                          "description": "The jurisdiction"
                        },
                        "is_custom": {
                          "type": "boolean",
                          "nullable": false,
                          "description": "The is_custom"
                        },
                        "use_jurisdiction_minimum_wage_for_ot": {
                          "type": "boolean",
                          "description": "When true, minimum wage will be used when calculating overtime pay",
                          "nullable": false
                        },
                        "is_custom_min_wage": {
                          "type": "boolean",
                          "description": "When true, custom_min_wages returns a list of wages, otherwise custom_min_wages returns null.",
                          "nullable": false
                        },
                        "custom_min_wages": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "description": "Custom Minimum Wage ID",
                                "type": "integer",
                                "example": 1234,
                                "nullable": false
                              },
                              "company_id": {
                                "description": "Company Id",
                                "type": "integer",
                                "example": 384,
                                "nullable": false
                              },
                              "location_id": {
                                "description": "Location Id",
                                "type": "integer",
                                "example": 24705,
                                "nullable": true
                              },
                              "wage_cents": {
                                "description": "The custom minimum wage in cents",
                                "type": "integer",
                                "example": 12345,
                                "nullable": false
                              },
                              "effective_date": {
                                "description": "The effective date of the wage",
                                "allOf": [
                                  {
                                    "pattern": "^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2]\\d|3[0-1])$",
                                    "type": "string",
                                    "description": "It is one representation of ISO8601 date extended format",
                                    "example": "2023-12-31"
                                  }
                                ],
                                "nullable": false
                              },
                              "is_deleted": {
                                "type": "boolean",
                                "description": "If true the custom wage will be deleted when editing labor settings.",
                                "nullable": false
                              }
                            },
                            "required": [
                              "company_id",
                              "wage_cents",
                              "effective_date"
                            ]
                          },
                          "description": "Returns a list of custom minimum wages when is_custom_min_wage is true. Otherwise null is returned.",
                          "nullable": true
                        }
                      },
                      "required": [
                        "company_id",
                        "consecutive_days_threshold",
                        "consecutive_days_multiplier",
                        "regular_rate_of_pay_enabled",
                        "exception_cost_enabled",
                        "overtime_by_location_enabled",
                        "auto_break_enabled",
                        "auto_break_hours",
                        "auto_break_minutes",
                        "auto_break_hours_2",
                        "auto_break_minutes_2",
                        "overtime_enabled",
                        "daily_overtime_threshold",
                        "daily_overtime_multiplier",
                        "premium_overtime_threshold",
                        "premium_overtime_multiplier",
                        "weekly_overtime_threshold",
                        "weekly_overtime_multiplier",
                        "ot_alerts_enabled",
                        "ot_alerts_buffer_minutes",
                        "split_hours_on_holidays",
                        "wage_based_roles_enabled",
                        "tipped_minimum_wage_enabled",
                        "jurisdiction",
                        "is_custom",
                        "use_jurisdiction_minimum_wage_for_ot",
                        "is_custom_min_wage",
                        "custom_min_wages"
                      ]
                    }
                  },
                  "required": [
                    "object",
                    "data"
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                },
                "examples": {
                  "401": {
                    "summary": "An example of a 401 response",
                    "value": {
                      "type": "basic",
                      "title": "This is a Unauthorized error message",
                      "status": 401,
                      "detail": "A human-readable explanation specific to this occurrence of the problem.",
                      "code": 401,
                      "param": "param"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                },
                "examples": {
                  "403": {
                    "summary": "An example of a 403 response",
                    "value": {
                      "type": "basic",
                      "title": "This is a Forbidden error message",
                      "status": 403,
                      "detail": "A human-readable explanation specific to this occurrence of the problem.",
                      "code": 403,
                      "param": "param"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Server Error",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                },
                "examples": {
                  "500": {
                    "summary": "An example of a 500 response",
                    "value": {
                      "type": "basic",
                      "title": "This is a Server error message",
                      "status": 500,
                      "detail": "A human-readable explanation specific to this occurrence of the problem.",
                      "code": 500,
                      "param": "param"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "OAuth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          },
          "password": {
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          },
          "authorizationCode": {
            "authorizationUrl": "https://app.7shifts.com/oauth2/authorize",
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          }
        }
      },
      "cookieAuth": {
        "type": "apiKey",
        "in": "cookie",
        "name": "7session"
      }
    }
  },
  "security": [
    {
      "OAuth2": []
    },
    {
      "cookieAuth": []
    }
  ],
  "tags": [
    {
      "name": "Companies"
    }
  ]
}
```